complexType "FxRateAsset"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, quotedCurrencyPair?, rateSource?
</...>

Content Model Elements (8):

  clearanceSystem (defined in UnderlyingAsset complexType), currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType), quotedCurrencyPair (in fx), rateSource (in fx)

All Direct / Indirect Based Elements (1):

  fx

Known Usage Locations

- As direct type of elements (1):
  fx

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) FxRateAsset

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FxRateAsset"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="rateSource" type="FxSpotRateSource"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

rateSource

  Type: | FxSpotRateSource, complex content

  Defines the source of the FX rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSource" type="FxSpotRateSource"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.